#!/bin/bash

for name in *
do
	if (file --mime-type $name | cut -d ':' -f2 | egrep -q 'text/html')
		then
			mv "$name" "$name".html
	elif (file --mime-type $name | cut -d ':' -f2 | egrep -q 'text/x-c')
		then
			mv "$name" "$name".c
	elif (file --mime-type $name | cut -d ':' -f2 | egrep -q 'application/gzip')
		then
			mv "$name" "$name".zip
	elif (file --mime-type $name | cut -d ':' -f2 | egrep -q 'image/jpeg')
		then
			mv "$name" "$name".jpg
	fi
done